scala.util.control

# Breaks

#### class Breaks extends AnyRef

A class that can be instantiated for the break control abstraction. Example usage:

    val mybreaks = new Breaks
    import mybreaks.{break, breakable}

    breakable {
      for (...) {
        if (...) break()
      }
    }

Calls to break from one instantiation of `Breaks` will never target breakable objects of some other instantiation.

Source
  Breaks.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
Breaks
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Breaks
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new Breaks()

### Type Members

1. #### sealed trait TryBlock[T] extends AnyRef

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Breaks to any2stringadd[Breaks] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (Breaks, B)

   Implicit information
     This member is added by an implicit conversion from Breaks to ArrowAssoc[Breaks] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def break(): Nothing

   Break from dynamically closest enclosing breakable block using this exact `Breaks` instance.

   Break from dynamically closest enclosing breakable block using this exact `Breaks` instance.

   Note

     This might be different than the statically closest enclosing block!

8. #### def breakable(op: ⇒ Unit): Unit

   A block from which one can exit with a `break`.

   A block from which one can exit with a `break`. The `break` may be executed further down in the call stack provided that it is called on the exact same instance of `Breaks`.

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### def ensuring(cond: (Breaks) ⇒ Boolean, msg: ⇒ Any): Breaks

    Implicit information
      This member is added by an implicit conversion from Breaks to Ensuring[Breaks] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: (Breaks) ⇒ Boolean): Breaks

    Implicit information
      This member is added by an implicit conversion from Breaks to Ensuring[Breaks] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: Boolean, msg: ⇒ Any): Breaks

    Implicit information
      This member is added by an implicit conversion from Breaks to Ensuring[Breaks] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: Boolean): Breaks

    Implicit information
      This member is added by an implicit conversion from Breaks to Ensuring[Breaks] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

16. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

17. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from Breaks to StringFormat[Breaks] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

18. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

19. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

20. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

21. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### final def notify(): Unit

    Definition Classes
      AnyRef

23. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

24. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

25. #### def toString(): String

    Definition Classes
      AnyRef → Any

26. #### def tryBreakable[T](op: ⇒ T): TryBlock[T]

    This variant enables the execution of a code block in case of a `break()`:

    This variant enables the execution of a code block in case of a `break()`:

        tryBreakable {
          for (...) {
            if (...) break()
          }
        } catchBreak {
          doCleanup()
        }

27. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### def →[B](y: B): (Breaks, B)

    Implicit information
      This member is added by an implicit conversion from Breaks to ArrowAssoc[Breaks] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Breaks to any2stringadd[Breaks]

### Inherited by implicit conversion StringFormat from Breaks to StringFormat[Breaks]

### Inherited by implicit conversion Ensuring from Breaks to Ensuring[Breaks]

### Inherited by implicit conversion ArrowAssoc from Breaks to ArrowAssoc[Breaks]

### Ungrouped